View Issue Details

IDProjectCategoryView StatusLast Update
12640Bug reports[All Projects] Survey participants (Tokens)public2018-06-27 15:29
ReporterDenisChenu Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.67.x 
Target VersionFixed in Version3.12.x 
Summary12640: Unable to update lang when registering (before fill mandatory values)
Description

If you have a multilingual survey with token and allow registering : user can not update langage without fill email.

Steps To Reproduce

Import survey,
Launch in a langage,

  1. try to update it without filling email (1st bug)
  2. Fill email
  3. Search how to get your langage
Additional Information

And if user try to update lang without filling email : langage dropdown are already on needed langage : need to set to another (then update page) + set to needed one.

I think javascript can remove the 'required' attribute just before submit (when changelang happen), seems the best option, even in survey (when someone add requeired somewhere)

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.67.3
I will donate to the project if issue is resolvedNo
Browsernot relevant (HTML5)
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2017-08-31 17:46

developer  

survey_archive_792221.lsa (5,814 bytes)
LouisGac

LouisGac

2018-05-23 11:52

manager   ~47761

denis, we changed the language system in LS3, language can now be set by url.
Does it fix that bug?

DenisChenu

DenisChenu

2018-06-18 20:23

developer   ~48212

I completly review it in answer_html part, but there are a lot of update after …

But : if it's done only with javascript : there are another issue ;)

DenisChenu

DenisChenu

2018-06-18 20:32

developer   ~48213

Last edited: 2018-06-18 20:32

View 2 revisions

@LouisGac : no way to change language : https://master.sondages.pro/764759?newtest=Y
No dropdown …

https://master.sondages.pro/764759?newtest=Y&lang=en
https://master.sondages.pro/764759?newtest=Y&lang=pl

guest

guest

2018-06-21 17:06

viewer   ~48267

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27486

dominikvitt

dominikvitt

2018-06-21 17:08

developer   ~48268

Added language selector.
Language change is done without the need to enter any of the required fields.

c_schmitz

c_schmitz

2018-06-27 15:29

administrator   ~48335

Version 3.12.3+180627 released

Related Changesets

LimeSurvey: master b84ef38d

2018-06-21 17:06:06

Dominik Vitt

Details Diff
Fixed issue 12640: Unable to update lang when registering (before fill mandatory values) Affected Issues
12640
mod - application/controllers/RegisterController.php Diff File
mod - themes/survey/vanilla/views/subviews/registration/register_head.twig Diff File

Issue History

Date Modified Username Field Change
2017-08-31 17:46 DenisChenu New Issue
2017-08-31 17:46 DenisChenu File Added: survey_archive_792221.lsa
2018-05-23 11:52 LouisGac Assigned To => LouisGac
2018-05-23 11:52 LouisGac Status new => feedback
2018-05-23 11:52 LouisGac Note Added: 47761
2018-06-18 13:36 LouisGac Assigned To LouisGac => dominikvitt
2018-06-18 20:23 DenisChenu Note Added: 48212
2018-06-18 20:23 DenisChenu Status feedback => assigned
2018-06-18 20:32 DenisChenu Note Added: 48213
2018-06-18 20:32 DenisChenu Note Edited: 48213 View Revisions
2018-06-21 17:06 Changeset attached => LimeSurvey master b84ef38d
2018-06-21 17:06 guest Note Added: 48267
2018-06-21 17:06 guest Resolution open => fixed
2018-06-21 17:08 dominikvitt Status assigned => resolved
2018-06-21 17:08 dominikvitt Fixed in Version => 3.12.x
2018-06-21 17:08 dominikvitt Note Added: 48268
2018-06-27 15:29 c_schmitz Note Added: 48335
2018-06-27 15:29 c_schmitz Status resolved => closed